Update a single select list#

Description#

Updates the select list with the provided ID with the details provided in the body.

Restrictions for EXTERNAL_LEGAL_ENTITY Select Lists: Select lists of type EXTERNAL_LEGAL_ENTITY have restricted update capabilities. Only the name field can be modified. Attempting to update valueType, values, or other fields will result in a 400 Bad Request error with a validation message. To change other fields, delete and recreate the select list (if not in use).

PUT /api/v1/selectlist/{selectListId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

selectListId

path

string

true

The unique identifier of the select list

body

body

SelectListDto

true

The representation of the select list to update

Body parameter example#

{
  "description": "string",
  "name": "string",
  "type": "static",
  "valueType": "string",
  "values": [
    null
  ]
}

Code Samples#

curl -X PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId} \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http PUT https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId} \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=PUT "https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId}" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.put('https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains a SelectListDto object for the updated select list.

Example Responses#

{
  "body": {
    "created": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "type": "string",
    "updated": "string",
    "userId": "string",
    "valueType": "string",
    "values": [
      "undefined"
    ],
    "version": "integer"
  },
  "code": "integer"
}